* {
box-sizing: border-box;
font-family: "Roboto Condensed", sans-serif;
font-weight: 200;
}
body {
background: rgba(255, 255, 255, 0.8);
height: 100%;
margin-bottom: 0;
text-rendering: optimizeLegibility;
-webkit-font-smoothing: antialiased;
-ms-text-size-adjust: none;
-webkit-text-size-adjust: none;
text-size-adjust: none;
}
body > footer {
position: sticky;
top: 100vh;
}
a {
color: rgb(34, 34, 34);
text-decoration: none;
}
h2 {
color: #00664d;
}
header nav ul li a {
display: block;
}
.hide-nav {
-moz-transform: translateY(-120%);
-ms-transform: translateY(-120%);
-o-transform: translateY(-120%);
-webkit-transform: translateY(-120%);
transform: translateY(-120%);
}
ul.menu {
display: block;
max-height: 0;
overflow: hidden;
-o-transition: all 0.3s ease-out;
-webkit-transition: all 0.3s ease-out;
-moz-transition: all 0.3s ease-out;
transition: all 0.3s ease-out;
z-index: 10;
}
ul.menu:before {
clear: both;
content: "";
display: table;
}
.collapse {
max-height: 15em !important;
}
.nav-toggle {
background-color: transparent;
border-radius: 5px;
cursor: pointer;
display: block;
float: right;
padding: 5px 8px 8px 8px;
width: 38px;
}
.nav-toggle.open span:first-child {
transform: rotate(45deg) translate(4.4px, 4.4px);
}
.nav-toggle.open span:nth-child(2) {
opacity: 0;
width: 0;
}
.nav-toggle.open span:last-child {
transform: rotate(-45deg) translate(4.4px, -4.4px);
}
.nav-toggle span {
background-color: #000;
display: block;
height: 2px;
margin-top: 4px;
position: relative;
transition: all 0.25s;
width: 100%;
}
a:hover,
a:focus {
color: black;
outline-width: 0;
}
a:active {
outline-width: 0;
}
.menu a {
display: inline-block;
padding-bottom: 0;
position: relative;
transition: color 0.35s ease;
}
.toggle-calc-settings-2 a {
cursor: pointer;
position: relative;
transition: color 0.35s ease;
}
.menu a:before {
bottom: 0;
content: "";
display: block;
height: 2px;
left: 0;
position: absolute;
transition: width 0s ease, background 0.35s ease;
width: 0;
}
.toggle-calc-settings-2 a:before {
bottom: 0;
content: "";
height: 2px;
left: 0;
position: absolute;
transition: width 0s ease, background 0.35s ease;
width: 0;
}
.menu a:after {
background: #000;
bottom: 0;
content: "";
display: block;
height: 2px;
position: absolute;
right: 0;
transition: width 0.35s ease;
width: 0;
}
.toggle-calc-settings-2 a:after {
background: #000;
bottom: 0;
content: "";
height: 2px;
position: absolute;
right: 0;
transition: width 0.35s ease;
width: 0;
}
.menu a:hover:before {
background: #000;
transition: width 0.35s ease;
width: 100%;
}
.toggle-calc-settings-2 a:hover:before {
background: #000;
transition: width 0.35s ease;
width: 100%;
}
.menu a:hover:after {
background: transparent;
transition: all 0s ease;
width: 100%;
}
.toggle-calc-settings-2 a:hover:after {
background: transparent;
transition: all 0s ease;
width: 100%;
}
.nav-container {
margin-left: auto;
margin-right: auto;
max-width: 100%;
}
.nav-container:after {
clear: both;
content: "";
display: block;
}
header {
background-color: #b3cbff;
border-radius: 5px;
padding: 0.5rem 0;
width: 100%;
}
header nav .logo {
color: black;
float: left;
font-size: 1.25rem;
font-weight: 500;
line-height: inherit;
margin-right: 1rem;
padding-bottom: 0.25rem;
padding-top: 0.25rem;
}
header nav .logo:after {
clear: both;
content: "";
display: table;
}
header nav ul {
list-style: none;
margin: 0;
padding-left: 0;
}
header nav ul li {
float: none;
margin-left: 0;
}
footer {
background: #ffdd99;
border-radius: 5px 5px 0 0;
color: #4d3300;
margin-top: 15px;
padding: 5px 0;
text-align: center;
}
header nav .logo {
font-size: 1.25rem;
}
.button-wrapper .calc-details-header-2 p,
.calc-message-content-2 {
font-size: 14px;
}
footer p,
.button {
font-size: 16px;
}
select,
input,
.toggle-calc-settings-2,
.toggle-calc-settings-4,
.calc-details-header-2,
.calc-details-content-2,
.calc-input-header-2,
.calc-input-header-3,
.calc-input-header-4,
.calc-input-content-2,
.calc-input-content-3,
.calc-input-content-4 {
font-size: 20px;
}
.button {
border-radius: 4px;
cursor: pointer;
padding: 6px 26px;
text-align: center;
text-decoration: none;
transition-duration: 0.4s;
}
.button1 {
background-color: #e6f3ff;
border: 2px solid #f44336;
color: black;
margin-right: 5px;
}
.button1:focus,
.button1:hover
{
background-color: #f44336;
color: white;
}
.button1:active {
border-color: #333333;
}
.button3 {
background-color: #e6f3ff;
border: 2px solid #4caf50;
color: black;
margin-left: 5px;
}
.button3:focus,
.button3:hover
{
background-color: #4caf50;
color: white;
}
.button3:active {
border-color: #004d00;
}
.switch {
display: inline-block;
height: 27px;
position: relative;
width: 50px;
}
.switch input {
height: 0;
opacity: 0;
width: 0;
}
.slider {
background-color: #ccc;
bottom: 0;
cursor: pointer;
left: 0;
position: absolute;
right: 0;
top: 0;
-moz-transition: 0.4s;
-o-transition: 0.4s;
-webkit-transition: 0.4s;
transition: 0.4s;
}
.slider:before {
background-color: white;
bottom: 4px;
content: "";
height: 19px;
left: 3px;
position: absolute;
-o-transition: 0.4s;
-moz-transition: 0.4s;
-webkit-transition: 0.4s;
transition: 0.4s;
width: 18px;
}
.slider:hover {
background-color: #a6a6a6;
}
input:checked + .slider {
background-color: #2196f3;
}
input:focus + .slider {
box-shadow: 0 0 1px #2196f3;
}
input:checked + .slider:before {
-moz-transform: translateX(26px);
-ms-transform: translateX(26px);
-o-transform: translateX(26px);
-webkit-transform: translateX(26px);
transform: translateX(26px);
}
.slider.round {
border-radius: 28px;
}
.slider.round:before {
border-radius: 50%;
}
@media (min-width: 576px) {
header nav ul li a {
display: block;
padding: 0.425rem 0;
}
.nav-container {
max-width: 900px;
}
}
@media (max-width: 899px) {
header nav ul {
clear: both;
}
header nav ul li {
padding: 0.5em 0;
}
}
@media (min-width: 900px) {
a {
background-color: transparent;
color: rgba(34, 34, 34, 0.8);
}
header nav ul li {
float: left;
margin-left: 1rem;
}
ul.menu {
display: block !important;
float: right;
max-height: none;
}
.nav-toggle {
display: none;
}
.nav-container {
max-width: 991px;
padding: 0 10px;
}
}
@media (min-width: 992px) {
.nav-container {
max-width: 1199px;
}
}
@media (min-width: 1200px) {
.nav-container {
max-width: 1650px;
}
}
.toggle-td-details .calc-input-content-2 {
padding-left: 25px;
}
.view-calc-income .calc-details-content-2,
.view-calc-settings .calc-details-content-2 {
border: 1px solid #80ffe5;
border-radius: 5px;
}
.toggle-td-details,
.view-calc-config,
.view-calc-settings,
.view-calc-income,
.toggle-amount-saving,
.toggle-dual-calc {
display: none;
}
.content-wrapper,
.button-wrapper {
display: flex;
flex-wrap: wrap;
}
.toggle-calc-settings-1,
.toggle-calc-settings-5 {
background-color: white;
display: none;
margin-bottom: 20px;
}
.toggle-calc-settings-2 {
background-color: white;
flex: 60%;
margin-bottom: 20px;
padding-top: 2px;
}
.toggle-calc-settings-4 {
background-color: white;
flex: 40%;
margin-bottom: 20px;
text-align: right;
}
.calc-details-header-1,
.calc-details-header-5 {
background-color: white;
display: none;
}
.view-calc-income .calc-details-content-1,
.view-calc-income .calc-details-content-2,
.view-calc-income .calc-details-content-5 {
margin-bottom: 34px;
}
.calc-details-content-1,
.calc-details-content-5 {
background-color: white;
display: none;
margin-bottom: 20px;
}
.calc-details-header-2,
.calc-details-content-2 {
flex: 100%;
}
.calc-details-content-2 {
background-color: #ccfff5;
border-radius: 5px;
margin-bottom: 20px;
padding: 0 3px;
}
.calc-details-content-2 a {
float: right;
}
.calc-buttons-1,
.calc-buttons-5 {
background-color: #f1f1f1;
display: none;
margin: 40px 0 5px 0;
}
.calc-buttons-2 {
background-color: #f1f1f1;
flex: 100%;
margin: 40px 0 5px 0;
text-align: center;
}
.button-wrapper .calc-details-header-2 {
text-align: center;
}
.button-wrapper .calc-details-header-2 p {
line-height: 1;
margin: 10px 0;
}
.view-calc-message {
visibility: hidden;
}
.calc-message-content-1,
.calc-message-content-5 {
background-color: white;
display: none;
padding-bottom: 20px;
}
.calc-message-content-2 {
color: #986934;
flex: 100%;
padding-bottom: 20px;
}
.calc-input-header-1 {
background-color: white;
display: none;
padding: 0 0 10px 10px;
}
.calc-input-content-1 {
background-color: #f1f1f1;
border-bottom: 1px solid white;
display: none;
padding: 10px;
}
.calc-input-header-2 {
background-color: white;
flex: 60%;
padding: 0 0 10px 0;
}
.calc-input-content-2 {
background-color: #e6e6e6;
border-bottom: 1px solid white;
border-right: 1px solid white;
flex: 60%;
padding: 10px;
}
.calc-input-header-3 {
background-color: white;
flex: 40%;
padding: 0 10px 10px 10px;
text-align: center;
}
.calc-input-content-3 {
background-color: #b3d9ff;
border-bottom: 1px solid white;
flex: 40%;
padding: 10px;
text-align: center;
}
.calc-input-header-4 {
background-color: white;
display: none;
padding: 0 10px 10px 10px;
text-align: center;
}
.calc-input-content-4 {
background-color: #b3d9ff;
border-bottom: 1px solid white;
display: none;
padding: 10px;
text-align: center;
}
.calc-input-header-5 {
background-color: white;
display: none;
padding: 0 10px 10px 0;
text-align: center;
}
.calc-input-content-5 {
background-color: #f1f1f1;
border-bottom: 1px solid white;
display: none;
padding: 10px;
text-align: center;
}
@media (min-width: 500px) {
.toggle-dual-calc {
display: block;
}
.toggle-calc-settings-2 {
flex: 66.6666%;
}
.toggle-calc-settings-4 {
flex: 33.3333%;
}
.calc-message-content-2 {
flex: 99.9999%;
}
.calc-details-header-2,
.calc-details-content-2 {
flex: 99.9999%;
}
.calc-details-content-2 {
padding: 0 10px;
}
.calc-buttons-2 {
flex: 99.9999%;
}
.calc-input-header-2,
.calc-input-header-3 {
flex: 33.3333%;
}
.calc-input-content-2,
.calc-input-content-3 {
flex: 33.3333%;
}
.calc-input-header-4,
.calc-input-content-4 {
display: block;
flex: 33.3333%;
}
.calc-input-header-3,
.calc-input-header-4 {
text-align: center;
}
}
@media (min-width: 800px) {
select,
input,
.view-calc-config p,
.calc-input-header-2,
.calc-input-header-3,
.calc-input-header-4,
.calc-input-content-2,
.calc-input-content-3,
.calc-input-content-4 {
font-size: 22px;
}
footer p {
font-size: 14px;
}
.view-calc-config p {
font-size: 22px;
}
.toggle-calc-settings-1,
.toggle-calc-settings-5 {
display: block;
flex: 5%;
}
.toggle-calc-settings-2 {
flex: 60%;
}
.toggle-calc-settings-4 {
flex: 30%;
}
.calc-message-content-1,
.calc-message-content-5 {
display: block;
flex: 5%;
}
.calc-message-content-2 {
flex: 90%;
}
.calc-details-header-1,
.calc-details-header-5 {
display: block;
flex: 5%;
}
.calc-details-content-1,
.calc-details-content-5 {
display: block;
flex: 5%;
}
.calc-details-header-2,
.calc-details-content-2 {
flex: 90%;
}
.calc-buttons-1,
.calc-buttons-5 {
display: block;
flex: 5%;
}
.calc-buttons-2 {
flex: 90%;
}
.calc-input-header-1,
.calc-input-header-5 {
display: block;
flex: 5%;
}
.calc-input-header-2,
.calc-input-header-3,
.calc-input-header-4 {
flex: 30%;
}
.calc-input-content-1,
.calc-input-content-5 {
display: block;
flex: 5%;
}
.calc-input-content-2,
.calc-input-content-3,
.calc-input-content-4 {
flex: 30%;
}
}
@media (min-width: 1024px) {
.toggle-calc-settings-1,
.toggle-calc-settings-5 {
flex: 8%;
}
.toggle-calc-settings-2 {
flex: 56%;
}
.toggle-calc-settings-4 {
flex: 28%;
}
.calc-message-content-1,
.calc-message-content-5 {
flex: 8%;
}
.calc-message-content-2 {
flex: 84%;
}
.calc-details-header-1,
.calc-details-header-5 {
flex: 8%;
}
.calc-details-content-1,
.calc-details-content-5 {
flex: 8%;
}
.calc-details-header-2,
.calc-details-content-2 {
flex: 84%;
}
.calc-buttons-1,
.calc-buttons-5 {
flex: 8%;
}
.calc-buttons-2 {
flex: 84%;
}
.calc-input-header-1,
.calc-input-header-5 {
flex: 8%;
}
.calc-input-header-2,
.calc-input-header-3,
.calc-input-header-4 {
flex: 28%;
}
.calc-input-content-1,
.calc-input-content-5 {
flex: 8%;
}
.calc-input-content-2,
.calc-input-content-3,
.calc-input-content-4 {
flex: 28%;
}
}
@media (min-width: 1280px) {
.toggle-calc-settings-1,
.toggle-calc-settings-5 {
flex: 14%;
}
.toggle-calc-settings-2 {
flex: 48%;
}
.toggle-calc-settings-4 {
flex: 24%;
}
.calc-message-content-1,
.calc-message-content-5 {
flex: 14%;
}
.calc-message-content-2 {
flex: 72%;
}
.calc-details-header-1,
.calc-details-header-5 {
flex: 14%;
}
.calc-details-content-1,
.calc-details-content-5 {
flex: 14%;
}
.calc-details-header-2,
.calc-details-content-2 {
flex: 72%;
}
.calc-buttons-1,
.calc-buttons-5 {
flex: 14%;
}
.calc-buttons-2 {
flex: 72%;
}
.calc-input-header-1,
.calc-input-header-5 {
flex: 14%;
}
.calc-input-header-2,
.calc-input-header-3,
.calc-input-header-4 {
flex: 24%;
}
.calc-input-content-1,
.calc-input-content-5 {
flex: 14%;
}
.calc-input-content-2,
.calc-input-content-3,
.calc-input-content-4 {
flex: 24%;
}
}
@media (min-width: 1440px) {
.toggle-calc-settings-1,
.toggle-calc-settings-5 {
flex: 20%;
}
.toggle-calc-settings-2 {
flex: 40%;
}
.toggle-calc-settings-4 {
flex: 20%;
}
.calc-message-content-1,
.calc-message-content-5 {
flex: 20%;
}
.calc-message-content-2 {
flex: 60%;
}
.calc-details-header-1,
.calc-details-header-5 {
flex: 20%;
}
.calc-details-content-1,
.calc-details-content-5 {
flex: 20%;
}
.calc-details-header-2,
.calc-details-content-2 {
flex: 60%;
}
.calc-buttons-1,
.calc-buttons-5 {
flex: 20%;
}
.calc-buttons-2 {
flex: 60%;
}
.calc-input-header-1,
.calc-input-header-5 {
flex: 20%;
}
.calc-input-header-2,
.calc-input-header-3,
.calc-input-header-4 {
flex: 20%;
}
.calc-input-content-1,
.calc-input-content-5 {
flex: 20%;
}
.calc-input-content-2,
.calc-input-content-3,
.calc-input-content-4 {
flex: 20%;
}
}
@media (min-width: 1800px) {
.toggle-calc-settings-1,
.toggle-calc-settings-5 {
flex: 26%;
}
.toggle-calc-settings-2 {
flex: 32%;
}
.toggle-calc-settings-4 {
flex: 16%;
}
.calc-message-content-1,
.calc-message-content-5 {
flex: 26%;
}
.calc-message-content-2 {
flex: 48%;
}
.calc-details-header-1,
.calc-details-header-5 {
flex: 26%;
}
.calc-details-content-1,
.calc-details-content-5 {
flex: 26%;
}
.calc-details-header-2,
.calc-details-content-2 {
flex: 48%;
}
.calc-buttons-1,
.calc-buttons-5 {
flex: 26%;
}
.calc-buttons-2 {
flex: 48%;
}
.calc-input-header-1,
.calc-input-header-5 {
flex: 26%;
}
.calc-input-header-2,
.calc-input-header-3,
.calc-input-header-4 {
flex: 16%;
}
.calc-input-content-1,
.calc-input-content-5 {
flex: 26%;
}
.calc-input-content-2,
.calc-input-content-3,
.calc-input-content-4 {
flex: 16%;
}
}
input {
border: 2px solid #004d00;
border-radius: 4px;
outline: none;
text-align: center;
width: 100%;
}
select {
background-color: white;
border: 2px solid #004d00;
border-radius: 4px;
color: black;
display: block;
max-width: 100%;
text-align: center;
width: 100%;
}
input:focus,
input:hover,
select:focus,
select:hover {
border: 2px solid #ffd11a;
outline: none;
}
input:disabled,
select:disabled {
background-color: white;
opacity: 1;
}
@media (max-width: 319px) {
select {
font-size: 17px;
}
.calc-input-header-2,
.calc-input-header-3,
.calc-input-header-4,
.calc-input-content-3,
.calc-input-content-4 {
font-size: 18px;
}
}
.checkbox-container {
cursor: pointer;
display: block;
position: relative;
-webkit-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
user-select: none;
}
input[type="checkbox"] {
cursor: pointer;
float: left;
height: 0;
opacity: 0;
position: relative;
width: 0;
}
.checkmark {
background-color: white;
border: 2px solid gray;
border-radius: 2px;
height: 25px;
left: 0;
position: absolute;
top: 0;
width: 25px;
}
.checkbox-container:hover input ~ .checkmark {
background-color: white;
}
.checkbox-container input:checked ~ .checkmark {
background-color: #2196f3;
border: none;
}
.checkmark:after {
content: "";
display: none;
position: absolute;
}
.checkbox-container input:checked ~ .checkmark:after {
display: block;
}
.checkbox-container .checkmark:after {
border: solid white;
border-width: 0 3px 3px 0;
height: 10px;
left: 9px;
top: 5px;
-ms-transform: rotate(45deg);
-webkit-transform: rotate(45deg);
transform: rotate(45deg);
width: 5px;
}